#ifndef __IDT_RST_H__
#define __IDT_RST_H__

/*******************************************************************************
 *
 * Copyright 2002 Integrated Device Technology, Inc.
 *		All rights reserved.
 *
 * Reset register definitions.
 *
 * File   : $Id: rst.h,v 1.1 2005/07/07 22:02:41 andyg Exp $
 *
 * Author : Allen.Stichter@idt.com
 * Date   : 20020118
 * Update :
 *	    $Log: rst.h,v $
 *	    Revision 1.1  2005/07/07 22:02:41  andyg
 *	    picking up a bunch of updates from montavista....hope this works!
 *	
 *	    Revision 1.1.2.1  2004/02/11 19:04:42  mpruznick
 *	    MR: 5393
 *	    bugz:5393 -- Add idt434 lsp
 *	
 *	    Revision 1.2  2002/06/06 18:34:05  astichte
 *	    Added XXX_PhysicalAddress and XXX_VirtualAddress
 *	
 *	    Revision 1.1  2002/05/29 17:33:24  sysarch
 *	    jba File moved from vcode/include/idt/acacia
 *	
 *
 ******************************************************************************/

#include  <asm/types.h>

enum {
	RST0_PhysicalAddress = 0x18000000,
	RST_PhysicalAddress = RST0_PhysicalAddress,	/* Default */

	RST0_VirtualAddress = 0xb8000000,
	RST_VirtualAddress = RST0_VirtualAddress,	/* Default */
};

typedef struct RST_s {
	unsigned int filler[0x0006];
	unsigned int sysid;
	unsigned int filler2[0x2000 - 8];	/* Pad out to offset 0x8000 */
	unsigned int reset;
	unsigned int bcv;
	unsigned int cea;
} volatile *RST_t;

enum {
	SYSID_rev_b = 0,
	SYSID_rev_m = 0x000000ff,
	SYSID_imp_b = 8,
	SYSID_imp_m = 0x000fff00,
	SYSID_vendor_b = 20,
	SYSID_vendor_m = 0xfff00000,

	BCV_pll_b = 0,
	BCV_pll_m = 0x0000000f,
	BCV_pll_PLLBypass_v = 0x0,	/* PCLK=1*CLK. */
	BCV_pll_Mul3_v = 0x1,	/* PCLK=3*CLK. */
	BCV_pll_Mul4_v = 0x2,	/* PCLK=4*CLK. */
	BCV_pll_SlowMul5_v = 0x3,	/* PCLK=4*CLK. */
	BCV_pll_Mul5_v = 0x4,	/* PCLK=6*CLK. */
	BCV_pll_SlowMul6_v = 0x5,	/* PCLK=8*CLK. */
	BCV_pll_Mul6_v = 0x6,	/* PCLK=8*CLK. */
	BCV_pll_Mul8_v = 0x7,	/* PCLK=8*CLK. */
	BCV_pll_Mul10_v = 0x8,	/* PCLK=8*CLK. */
	BCV_pll_Res5_v = 0x9,
	BCV_pll_Res6_v = 0xa,
	BCV_pll_Res7_v = 0xb,
	BCV_pll_Res8_v = 0xc,
	BCV_pll_Res13_v = 0xd,
	BCV_pll_Res14_v = 0xe,
	BCV_pll_Res15_v = 0xf,
	BCV_clkDiv_b = 4,
	BCV_clkDiv_m = 0x00000030,
	BCV_clkDiv_Div1_v = 0x0,
	BCV_clkDiv_Div2_v = 0x1,
	BCV_clkDiv_Div4_v = 0x2,
	BCV_clkDiv_Res3_v = 0x3,
	BCV_bigEndian_b = 6,
	BCV_bigEndian_m = 0x00000040,
	BCV_resetFast_b = 7,
	BCV_resetFast_m = 0x00000080,
	BCV_pciMode_b = 8,
	BCV_pciMode_m = 0x00000100,
	BCV_pciMode_disabled_v = 0,	/* PCI is disabled. */
	BCV_pciMode_tnr_v = 1,	/* satellite Target Not Ready. */
	BCV_pciMode_suspended_v = 2,	/* satellite with suspended CPU. */
	BCV_pciMode_external_v = 3,	/* host, external arbiter. */
	BCV_pciMode_fixed_v = 4,	/* host, fixed priority arbiter. */
	BCV_pciMode_roundRobin_v = 5,	/* host, round robin arbiter. */
	BCV_pciMode_res6_v = 6,
	BCV_pciMode_res7_v = 7,
	BCV_watchDisable_b = 11,
	BCV_watchDisable_m = 0x00000800,
	BCV_pllTest_b = 12,
	BCV_pllTest_m = 0x00001000,
	BCV_nvramInit_b = 13,
	BCV_nvramInit_m = 0x00002000,
	BCV_clksyncTstMd_b = 14,
	BCV_clksyncTstMd_m = 0x00004000,
	BCV_delayBypass_b = 15,
	BCV_delayByPass_m = 0x00008000,
};
#endif				/* __IDT_RST_H__ */
