/*
 * (C) Copyright 2003
 * John W. Linville, LVL7 Systems, Inc., linville@lvl7.com.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <common.h>
#include <pci.h>

#include "bcm5836.h"

extern ulong bcm5836_intmask;
extern ulong bcm5836_idmask;
extern void pci_bcm5836_init (struct pci_controller *hose);

#ifdef CONFIG_PCI

/*
 * Initialize PCI Devices, report devices found.
 */
#ifndef CONFIG_PCI_PNP
static struct pci_config_table pci_bcm95836_config_table[] = {
	{ }
};
#endif

struct pci_controller hose = {
#ifndef CONFIG_PCI_PNP
	config_table: pci_bcm95836_config_table,
#endif
};

void pci_init_board(void)
{
	bcm5836_intmask = 0x00000003;
	bcm5836_idmask = 0x00000003;

	pci_bcm5836_init(&hose);
}
#endif
