/*
 * (C) Copyright 2003
 * John W. Linville, LVL7 Systems, Inc., linville@lvl7.com.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <common.h>
#include <pci.h>

#include "bcm47xx.h"

extern ulong bcm47xx_intmask;
#if 1 /*JWL*/
extern ulong bcm47xx_idmask;
#define RUNTOP_5655_65_BOARD 1
#endif

#ifdef CONFIG_PCI

/*
 * Initialize PCI Devices, report devices found.
 */
#ifndef CONFIG_PCI_PNP
static struct pci_config_table pci_tarpon100_config_table[] = {
	{ }
};
#endif

struct pci_controller hose = {
#ifndef CONFIG_PCI_PNP
	config_table: pci_tarpon100_config_table,
#endif
};

void pci_init_board(void)
{
#if RUNTOP_5655_65_BOARD
	/* Ram (03/08/05) - 5655 based board */
	/* This board has the chip on PCI device id 1 */
	if (1) {
		bcm47xx_intmask = 0x00000001;
		bcm47xx_idmask = 0x00000003; 
#else
	if ((*((volatile ulong *)0xb8000060) & 0x00000020) == 0) {

		bcm47xx_intmask = 0x00000001;
#if 1 /*JWL*/
		bcm47xx_idmask = 0x00004001;
#endif
#endif /* RUNTOP_5655_65_BOARD */

	} else {

		bcm47xx_intmask = 0x00000003;
#if 1 /*JWL*/
		bcm47xx_idmask = 0x00006001;
#endif

	}
	printf ("GPIO Register = 0x%x\n", *((volatile ulong *)0xb8000060));

	pci_bcm47xx_init(&hose);
}
#endif
